:root {
  --primary-color: #5a45ff;
  --primary-dark-color: #3f30b3;
  --primary-light-color: #ada2ff;

  --title-color: #393939;
  --text-color: #011810;
  --article-text-color: #3e3e3e;
  --text-dark-color: #000000;
  --text-light-color: #66666e;
  --text-grey-color: #909191;

  --body-bg-color: #FFFFFF;
  --card-bg-color: #FFFFFF;
  /* --card-bg-color: #fafcfd; */

  --line-color: #cecfcf;
  --line-light-color: #e9e9e9;
}

html.dark-theme {
  --primary-light-color: #303b35;

  --title-color: #f5f5f5;
  --text-color: #f1f1f1;
  --text-dark-color: #f5f5f5;
  --text-light-color: #909191;
  --text-grey-color: #909191;
  --article-text-color: #c8c8c8;

  --body-bg-color: #343b37;
  --card-bg-color: #1D2521;

  --line-color: #484f4b;
  --line-light-color: #323735;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* transition: all .22s ease; */
}

a {
  text-decoration: none;
}

ul {
  padding: 0;
  list-style: none;
}

img {
  width: 100%;
  height: auto;
}

select {
  outline: none;
  border: 1px solid var(--primary-color);
  border-radius: .4rem;
  padding: 0 .8rem;
}

.clearfix {
  display: block;
  content: '';
  clear: both;
}

.scroll-top-btn {
  height: 4rem;
  width: 4rem;
  position: fixed;
  right: .8rem;
  bottom: 2.4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.55);
  color: #fff;
  font-size: 2rem;
  border-radius: 50%;
  outline: none;
  appearance: none;
  border: none;
  cursor: pointer;
  pointer-events: none;
  z-index: 99;

  opacity: 0;
  transform: translateY(20px);
}

.scroll-top-btn:hover {
  background-color: rgba(0, 0, 0, 0.66);
}

.scroll-top-btn.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

/* copy button end */


html {
  height: 100%;
  width: 100%;
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  height: 100%;
  width: 100%;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  line-height: 1.7;
  color: var(--text-color);
}

.container {
  max-width: 120rem;
  min-width: 32.8rem;
  margin: 0 auto;
}

.app-main {
  min-height: 100vh;
  padding-top: 12rem;
}

/* ========================================================
    common end
============================================================*/

/* ======================== APP Header Start ============================= */
.app-header {
  position: fixed;
  z-index: 1000;
  height: 12rem;
  width: 100vw;
  background-color: #ffffff;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.77);
}

.app-header .container {
  height: inherit;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-left {
  display: flex;
  gap: 1.5rem;
  align-items: center;
}

.app-header .container ul li a {
  display: flex;
  align-items: center;
  height: 5rem;
  color: var(--title-color);
  font-size: 1.5rem;
}

.app-header .container ul li a:hover,
.app-header .container ul li a.active {
  color: var(--primary-color);
}

.app-header .container ul li a.active {
  font-weight: 500;
}

.app-title {
  width: 15rem;
  display: flex;
  justify-content: center;
}

.app-title a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: fit-content;
  font-size: 2rem !important;
  font-weight: bolder;
  color: var(--primary-color) !important;
  height: 5rem;
}

.app-logo {
  height: 8rem;
  width: 8rem;
}

.search-wrapper {
  border: 1px solid var(--line-color);
  width: 75%;
  height: 5rem;
  border-radius: 5rem;
  transition: all .22s ease;
}

.search-wrapper:focus-within {
  border-color: var(--primary-color);
}

.search-wrapper form {
  display: flex;
  justify-content: space-between;
  padding-left: 2rem;
}

.search-wrapper .input_search {
  height: 5rem;
  border: none;
  outline: none;
  background: none;
  flex: 1;
  font-size: 1.6rem;
}

.search-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 5rem;
  width: 6rem;
  font-size: 2rem;
  color: var(--primary-color);
}


/* ======================== APP Header End ============================= */


/* ======================== APP Footer START ============================= */
.app-footer {
  background-color: #fafafa;
}

.app-footer .container {
  display: flex;
  justify-content: center;
  min-height: 12rem;
}

.app-footer .container section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.2rem;
}

.app-footer .container section p {
  font-size: 1.3rem;
  color: var(--text-color);
}

.app-footer .container section p a {
  text-decoration: underline;
}

/* ======================== APP Footer End ============================= */
.home-main {
  background-color: #fafafa;
}

.home-main .hero {
  height: 24rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-desc h1 {
  font-size: 5rem;
  color: var(--title-color);
  text-align: center;
  font-weight: 500;
}

.hero-desc p {
  font-size: 2rem;
  color: var(--text-light-color);
  text-align: center;
}

.hero-pic img {
  width: 25rem;
  height: 25rem;
}

.icon-list {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
  gap: 1.6rem;
  padding: 2.6rem 0;
}

.icon-list a {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: .8rem;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.33);
  border-radius: .4rem;
  padding: 1.2rem;
  border: 1px solid #fff;
  background-color: #fff;
  transition: all .22s ease-in-out;
}

.icon-list a:hover {
  border-color: var(--primary-color);
  transform: translateY(-2px);
}

.icon-list a img {
  height: 60%;
  width: 60%;
}

.icon-list a p {
  text-align: center;
  font-size: 1.4rem;
  color: var(--text-dark-color);
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

/* ================= icon main======================= */
.icon-main {
  background-color: #fafafa;
}

.breadcrum {
  height: 5rem;
  display: flex;
  align-items: center;
  gap: .8rem;
}

.breadcrum li,
.breadcrum li a {
  font-size: 1.6rem;
}

.breadcrum li a {
  color: var(--primary-color);
}

.icon-desc {
  display: grid;
  grid-template-columns: 7fr 5fr;
  margin-bottom: 2.6rem;
}

.icon-desc__content {
  display: flex;
  flex-direction: column;
  gap: .8rem;
}

.icon-desc__content h1 {
  font-size: 3.2rem;
}

.icon-desc__content span {
  font-size: 1.6rem;
  font-weight: bolder;
}

.icon-description,
.icon-tags {
  font-size: 1.5rem;
}

.icon-desc__content p {
  color: var(--text-grey-color);
}

.icon-content {
  display: grid;
  grid-template-columns: 7fr 5fr;
  border-top: 1px solid var(--line-color);
  padding: 1.6rem 0;
  gap: 2.6rem;
}

.icon-demo {
  height: 20rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f8f9fa;
  background-image: radial-gradient(circle, #dee2e6 1px, rgba(0, 0, 0, 0) 1px);
  background-size: 1rem 1rem;
  border: 1px solid var(--line-color);
  border-radius: .5rem;
}

.icon-demo img {
  height: 12rem;
  width: 12rem;
}

.icon-tools h2 {
  font-size: 2.2rem;
  font-weight: 500;
}

.icon-tools p {
  font-size: 1.5rem;
}

.tools-box {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  margin-top: 2rem;
}

.btns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: .4rem;
  outline: none;
  background-color: var(--primary-color);
  color: #fff;
  font-size: 1.5rem;
  font-weight: 600;
  border: none;
  height: 4rem;
  border-radius: .4rem;
  padding: 0 .8rem;
  cursor: pointer;
  box-shadow: 0 0 1px rgba(0, 0, 0, 0.66);
}

.btns:hover {
  background-color: var(--primary-dark-color);
}

.btns.light {
  background-color: #fff;
  color: var(--primary-color);
}

.btns.light:hover {
  border: 1px solid var(--primary-color);
}

.others h3 {
  font-size: 1.6rem;
}

/* 复制成功后的按钮样式 */
.btns.success-state {
  border: 1px solid #198754 !important;
  color: #198754 !important;
  background-color: #ffffff !important;
}